Kerbal Space Program - Bug #4821

Fairing Mass remains after fairing decouple
04/29/2015 07:46 PM - dasvaldez

Status: Closed Start date: 04/29/2015
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Description

Decoupling the fairing does not change the mass of the craft

Steps to recreate

1 Create rocket with fairing of non trivial mass

2 Observe rocket's mass via map via/craft info bar on right screen edge
3 Decouple fairing

4 Observe rocket's mass via map via/craft info bar on right screen edge

Mass with or without fairing remains the same. Mass seems to be tied to fairing base part?

History

#1 - 04/30/2015 01:52 PM - aureus

| did a little looking into this, and discovered that the reason the mass of your craft isn't changing when you discard the fairing is that the fairing isn't
counted toward the mass in the first place. A craft | built out of just a probe core and an oversized fairing listed its mass as 3.9 tons in the VAB and
0.25 tons on the launchpad.

#2 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 11/19/2015 02:41 PM - sal_vager
- Status changed from New to Resolved
- Severity changed from High to Low

- % Done changed from 0 to 100

This is no longer reproducible in build 1028.

#4 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed
